Subject: [Supa] BGP and SUPA policy

From: "Susan Hares" <[email-masked]>
Date: Mon, 11 May 2015 11:33:44 -0400

John and others: 

Could you please describe how SUPA policy interacts with the BGP policy and
dynamic BGP policy? 

Sue Hares

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Mon, 11 May 2015 17:40:36 +0200

> Could you please describe how SUPA policy interacts with the BGP policy and

We can try. To avoid misunderstandings, can you tell us which BGP
documents we specifically should look at?

/js

-- 
Juergen Schoenwaelder           Jacobs University Bremen gGmbH
Phone: +49 421 200 3587         Campus Ring 1 | 28759 Bremen | Germany
Fax:   +49 421 200 3103         <http://www.jacobs-university.de/>

---

From: "Susan Hares" <[email-masked]>
Date: Mon, 11 May 2015 15:43:42 -0400

Juregen:

The IDR Working group is progressing the documents for the BGP policy based
on a combination of the draft
http://datatracker.ietf.org/doc/draft-shaikh-idr-bgp-model/   and the draft:
http://datatracker.ietf.org/doc/draft-zhdankin-idr-bgp-cfg.   This work has
been ongoing for over 18 months.   A merged draft will be out later this
month. 

The authors have agreed to start with the policy
http://datatracker.ietf.org/doc/draft-shaikh-rtgwg-policy-model, and iterate
from this point. 

This is the base BGP work, and upon this foundation other BGP work will be
expanded.   BGP policy for L2VPN, L3VPN, EVPN is being considered in BESS,
but it depend on the base BGP work plus extensions to cover other BGP
configuration and policy. 

My understanding is that policy is a layered approach going from application
to AS/Network layer, to device layer.   Please see my understanding of the
policy layers below.  I would appreciate any insight you have 

Sue 

Policy layers: 
Application layer policies (intent based) 
AS / Network-wide policy (SUPA policies, IDR SLA policies, L3SM policies  
AS / Network-wide topologies (I2RS client view of topology, ALTO topology) 
Device policy for dynamic abstract topologies (I2RS agent Topology, I2RS
agent RIB, I2RS agent FB-RIBs) 
Device policy for dynamic policy for protocol (ISIS, OSPF, BGP, SFC, SPRING,
MPLS) 
Device policy for dynamic routes (ISIS, OSPF, BGP) 
Device policy for static routes 
Device policy for interfaces 

-----Original Message-----
From: Supa [mailto:[email-masked]] On Behalf Of Juergen Schoenwaelder
Sent: Monday, May 11, 2015 11:41 AM
To: Susan Hares
Cc: 'John Strassner'; [email-masked]
Subject: Re: [Supa] BGP and SUPA policy

On Mon, May 11, 2015 at 11:33:44AM -0400, Susan Hares wrote:
> John and others: 
> 
> Could you please describe how SUPA policy interacts with the BGP 
> policy and dynamic BGP policy?

We can try. To avoid misunderstandings, can you tell us which BGP documents
we specifically should look at?

/js

_______________________________________________
Supa mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/supa

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Wed, 27 May 2015 14:08:45 +0200

Thanks Susan,

I finally found the time to read draft-shaikh-rtgwg-policy-model and
I think I roughly understand what it tries to do.

/js

---

From: "Susan Hares" <[email-masked]>
Date: Thu, 28 May 2015 06:58:24 -0400

Juergen: 

As you have noticed in message to Anees, this definition for prefix lists
has problems. It would be good to send these comments to the rtgwg WG.  You
can either also cross-post to IDR or I will summarize this work to IDR. 

Sue 

-----Original Message-----
From: Juergen Schoenwaelder [mailto:[email-masked]] 
Sent: Wednesday, May 27, 2015 8:09 AM
To: Susan Hares
Cc: 'John Strassner'; [email-masked]
Subject: Re: [Supa] BGP and SUPA policy

Thanks Susan,

I finally found the time to read draft-shaikh-rtgwg-policy-model and I think
I roughly understand what it tries to do.

/js

On Mon, May 11, 2015 at 03:43:42PM -0400, Susan Hares wrote:
> Juregen:
> 
> The IDR Working group is progressing the documents for the BGP policy 
> based on a combination of the draft
> http://datatracker.ietf.org/doc/draft-shaikh-rtgwg-policy-model, and 
> iterate from this point.
> 
> Application layer policies (intent based) AS / Network-wide policy 
> (SUPA policies, IDR SLA policies, L3SM policies AS / Network-wide 
> topologies (I2RS client view of topology, ALTO topology) Device policy 
> for dynamic abstract topologies (I2RS agent Topology, I2RS agent RIB, 
> I2RS agent FB-RIBs) Device policy for dynamic policy for protocol 
> (ISIS, OSPF, BGP, SFC, SPRING,
> MPLS)
> Device policy for dynamic routes (ISIS, OSPF, BGP) Device policy for 
> static routes Device policy for interfaces
> 
>

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Thu, 28 May 2015 13:57:22 +0200

Out of the various choices to send comments, I picked one and I am
sorry if it might not have been the best one. I personally strongly
dislike cross-postings.

/js

PS: I check the rtgwg archive but could not find much discussion there
    either hence I thought I pick one of the other choices. Anyway,
    this has nothing to do with SUPA directly either (and hence people
    following SUPA now might be confused as well).

---

From: "Susan Hares" <[email-masked]>
Date: Thu, 28 May 2015 12:31:41 -0400

Juergen: 

It is understandable why you do not like cross posting.  I will summarize to
the IDR list key points. This is part of the chairs duties. 

Sue 

-----Original Message-----
From: Juergen Schoenwaelder [mailto:[email-masked]] 
Sent: Thursday, May 28, 2015 7:57 AM
To: Susan Hares
Cc: 'John Strassner'; [email-masked]
Subject: Re: [Supa] BGP and SUPA policy

Out of the various choices to send comments, I picked one and I am sorry if
it might not have been the best one. I personally strongly dislike
cross-postings.

/js

On Thu, May 28, 2015 at 06:58:24AM -0400, Susan Hares wrote:
> Juergen: 
> 
> As you have noticed in message to Anees, this definition for prefix 
> lists has problems. It would be good to send these comments to the 
> rtgwg WG.  You can either also cross-post to IDR or I will summarize this
work to IDR.
> From: Juergen Schoenwaelder 
> [mailto:[email-masked]]
> I finally found the time to read draft-shaikh-rtgwg-policy-model and I 
> think I roughly understand what it tries to do.
> 
> /js
> 
> > The IDR Working group is progressing the documents for the BGP 
> > policy based on a combination of the draft
> > but it depend on the base BGP work plus extensions to cover other 
> > BGP configuration and policy.
> > 
> > topologies (I2RS client view of topology, ALTO topology) Device 
> > policy for dynamic abstract topologies (I2RS agent Topology, I2RS 
> > agent RIB, I2RS agent FB-RIBs) Device policy for dynamic policy for 
> > protocol (ISIS, OSPF, BGP, SFC, SPRING,
> > MPLS)